<?php session_start(); ?>
<!DOCTYPE html>
<html>
<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    <title>Verkkokauppa</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
</head>

<body>

<div class="w3-container w3-teal">
  <h1>Verkkokauppa</h1>
</div>

<div class="w3-container">
<p>
    <h1>Ostoskori/tilaaminen:</h1>

    <?php
    require("db_open.php"); // liitetään mukaan tiedosto jossa on tietokannan avaus
    mysqli_set_charset($con, "utf8"); // tämä tarvitaan jotta äkköset näkyvät oikein

   
    if(empty($_SESSION['cart'])) {
    	echo "Virhe! Ostoskorisi oli tyhjä! Yritä uudelleen :)";
    } else {
        
        print_r($_SESSION); echo "<br><br>";
        
    	$valisumma = 0;
    	$kpl = 0;
    	$tilausrivit = "Aika: ". date("d/m/Y")."\r\n\r\n";
    	
    	
    		
    	$etunimi=strip_tags($_GET["enimi"]);
    	$sukunimi=strip_tags($_GET["snimi"]);
    	$puhnum=strip_tags($_GET["puhnum"]);
    	$email=strip_tags($_GET["email"]);
    	$osoite=strip_tags($_GET["osoite"]); 
    	
    		//tässä kirjataan uusi tilauksen id asiakastauluun
          	//eli sidotaan sisäänkirjautuneen käyttäjän id asiakastietotaulun user_id- kenttään
          	//user-id ei rajoiteta esiintymään vain kerran(MySql unique key), sillä yhdellä sisäänkirjautumis-id:lla voi olla joku muukin tilaajana, joten asiakastaulussa voi olla sama id useamman kerran eri tiedoilla
    	$user_id= $_SESSION["id"];
    	$stmt= $con->prepare("INSERT INTO asiakas (user_id, etunimi, sukunimi,puhnum, email, osoite) VALUES (?,?,?,?,?,?)");
    		$stmt->bind_param("isssss", $user_id, $etunimi, $sukunimi, $puhnum, $email, $osoite);
    	$stmt->execute();
    	
    	//tässä kirjataan uusi tilaus
    	$user_id= $_SESSION["id"];
    	$stmt= $con->prepare("INSERT INTO tilaus (user_id) VALUES (?)");
    	echo "User-Id = $user_id <br>";
    	$stmt->bind_param("i", $user_id);
    	echo"INSERT INTO tilaus (user_id) VALUES ($user_id)<br>";
    	$stmt->execute();
    	$tilaus_id = $con->insert_id;
    	echo "tilaus- taulun uusi ID on: $tilaus_id <br>";
    	
    
    	// tehdään uusi SQL- kysely ja sidotaan parametrit muuttujaan
    		$stmt= $con->prepare("INSERT INTO tuoterivi (tuote_id, tuotenimi, hinta, kpl, tilaus_id) VALUES (?,?,?,?,?)");
    			$stmt->bind_param("isdii", $tuote_id, $tuotenimi, $tuotehinta, $tuotekpl, $tilaus_id);
    			
    	   			
    	foreach($_SESSION['cart'] as $tuotetaulukko) {
    		$tuote_id = $tuotetaulukko['tuoteid'];
    		$tuotenimi = $tuotetaulukko['nimi'];
    		$tuotekpl = $tuotetaulukko['maara'];
    		$tuotehinta = $tuotetaulukko['hinta'];
    		$kpl = $kpl + $tuotekpl;
    		
    	
    		//kirjataan tuoterivit erikseen
    		echo "INSERT INTO tuoterivi (tuoterivi (tuote_id, tuotenimi, hinta, kpl, tilaus_id) VALUES ($tuote_id, '$tuotenimi', $tuotehinta, $tuotekpl, $tilaus_id))<br> ";
    			$stmt->execute();
    			
    			//rakennetaan viestin merkkijono ja tilauksen välisumma
    			$tilausrivit = 	$tilausrivit . $tuotenimi .", kpl ". $tuotekpl.", hinta ".$tuotehinta.", yht. ".number_format($tuotekpl*$tuotehinta, 2)."\r\n";
    			$valisumma = $valisumma + ($tuotekpl*$tuotehinta);

    			
    	}
    	 
    		
    		$toimituskulut = 9.90;
    		   		$yhteensa = $valisumma + $toimituskulut;
    						
    		$tilausrivit = $tilausrivit."\r\n\r\nValisumma: ". number_format($valisumma, 2) ." €";
    		$tilausrivit = $tilausrivit."\r\n\r\nToimituskulut: ". number_format($toimituskulut, 2) ." €";
    		$tilausrivit = $tilausrivit."\r\n\r\nYhteensa: ". number_format($yhteensa, 2) ." €";
    		
    		$tilausrivit = $tilausrivit."\r\n\r\n\r\nTilaajan tiedot:";
    		$tilausrivit = $tilausrivit."\r\n". $_GET['nimi'];
    		$tilausrivit = $tilausrivit."\r\n". $_GET['osoite'];
    		$tilausrivit = $tilausrivit."\r\n". $_GET['email'];
    		
    		
    		$to = "tanja.nauha@student.vaasa.fi";	
    		$subject = "Tilaus verkkokaupasta";
    		$headers = "From: asiakaspalvelu@opiskelijanverkkokauppa.fi" . "\r\n" . "CC:". $_GET['email'];
    		
    		//The mail() function allows you to send emails directly from a script.
    
    		mail($to,$subject,$tilausrivit,$headers);	
    		
    		// tyhjennä ostoskori
    		unset ($_SESSION['cart']);
    		
    	
    }
   
    		
    ?>
   

    
    Kiitos tilauksestasi! 
	
</p>
</div>

<div class="w3-container w3-teal">
  <p>Opiskelijan X verkkokauppa :)</p>
</div>

</body>
</html>
